image: ubuntu:focal

before_script:
  - apt update -qq
  - DEBIAN_FRONTEND=noninteractive apt install -y --no-install-recommends ca-certificates curl debsigs expect git gnupg2 jq reprepro sed
  - chmod +x updaterepos.sh

pages:
  stage: deploy
  script:
    - ./updaterepos.sh
    - mkdir .public
    - cp -r pkgs/* .public
    - cp *.gpg .public
    - mv .public public
    - ls -lah public/
  artifacts:
    paths:
      - public
#  only:
#    - master
